org.wildfly.swarm.config.jgroups.stack.relay

## Class RELAY2<T extends RELAY2<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.jgroups.stack.relay.RELAY2<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class RELAY2<T extends RELAY2<T>>
      extends HashMap

  The configuration of a RELAY protocol
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RELAY2.RELAY2Resources` Child mutators for RELAY2

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RELAY2()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `Map` | `properties()` The properties of this protocol.
    `T` | `properties(List<Property> value)` Add all Property objects to this subresource
    `T` | `properties(Map value)` The properties of this protocol.
    `T` | `property(Property value)` Add the Property object to the list of subresources
    `T` | `property(PropertySupplier supplier)` Install a supplied Property object to the list of subresources
    `T` | `property(String childKey)` Create and configure a Property object to the list of subresources
    `T` | `property(String key, Object value)` The properties of this protocol.
    `T` | `property(String childKey, PropertyConsumer consumer)` Create and configure a Property object to the list of subresources
    `T` | `remoteSite(RemoteSite value)` Add the RemoteSite object to the list of subresources
    `T` | `remoteSite(RemoteSiteSupplier supplier)` Install a supplied RemoteSite object to the list of subresources
    `T` | `remoteSite(String childKey)` Create and configure a RemoteSite object to the list of subresources
    `T` | `remoteSite(String childKey, RemoteSiteConsumer consumer)` Create and configure a RemoteSite object to the list of subresources
    `T` | `remoteSites(List<RemoteSite> value)` Add all RemoteSite objects to this subresource
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `site()` The name of the local site.
    `T` | `site(String value)` The name of the local site.
    `RELAY2.RELAY2Resources` | `subresources()`

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RELAY2

          public RELAY2()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### subresources

          public RELAY2.RELAY2Resources subresources()

    - #### properties

          public T properties(List<Property> value)

      Add all Property objects to this subresource
      Parameters:
        `value` - List of Property objects.
      Returns:
        this

    - #### property

          public T property(Property value)

      Add the Property object to the list of subresources
      Parameters:
        `value` - The Property to add
      Returns:
        this

    - #### property

          public T property(String childKey,
                            PropertyConsumer consumer)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
        `config` - The PropertyConsumer to use
      Returns:
        this

    - #### property

          public T property(String childKey)

      Create and configure a Property object to the list of subresources
      Parameters:
        `key` - The key for the Property resource
      Returns:
        this

    - #### property

          public T property(PropertySupplier supplier)

      Install a supplied Property object to the list of subresources

    - #### remoteSites

          public T remoteSites(List<RemoteSite> value)

      Add all RemoteSite objects to this subresource
      Parameters:
        `value` - List of RemoteSite objects.
      Returns:
        this

    - #### remoteSite

          public T remoteSite(RemoteSite value)

      Add the RemoteSite object to the list of subresources
      Parameters:
        `value` - The RemoteSite to add
      Returns:
        this

    - #### remoteSite

          public T remoteSite(String childKey,
                              RemoteSiteConsumer consumer)

      Create and configure a RemoteSite object to the list of subresources
      Parameters:
        `key` - The key for the RemoteSite resource
        `config` - The RemoteSiteConsumer to use
      Returns:
        this

    - #### remoteSite

          public T remoteSite(String childKey)

      Create and configure a RemoteSite object to the list of subresources
      Parameters:
        `key` - The key for the RemoteSite resource
      Returns:
        this

    - #### remoteSite

          public T remoteSite(RemoteSiteSupplier supplier)

      Install a supplied RemoteSite object to the list of subresources

    - #### properties

          public Map properties()

      The properties of this protocol.

    - #### properties

          public T properties(Map value)

      The properties of this protocol.

    - #### property

          public T property(String key,
                            Object value)

      The properties of this protocol.

    - #### site

          public String site()

      The name of the local site.

    - #### site

          public T site(String value)

      The name of the local site.

Copyright © 2018 JBoss by Red Hat. All rights reserved.